#pragma once

#include "Config.h"
#include "Common.h"

class Box : public Sprite
{
private:
	Vector2i cellPosition;
	bool marked;

public:
	Box();
	virtual ~Box() {};

	void setCellPosition(Vector2i position);
	Vector2i getCellPosition();
	void mark();
	bool isMarked();
	void moveUp();
	void moveRight();
	void moveDown();
	void moveLeft();
	void update();
};


class Player : public Sprite
{
private:
	Vector2i cellPosition;

public:
	Player();
	virtual ~Player() {};

	void setCellPosition(Vector2i position);
	Vector2i getCellPosition();
	void moveUp();
	void moveRight();
	void moveDown();
	void moveLeft();
	void update();
};